<template>
  <div class="bg-white shadow overflow-hidden sm:rounded-lg px-6 py-4">
    <div>
      <h3 class="text-lg leading-6 font-medium text-gray-900">
        {{ title }}
      </h3>
      <p class="mt-1 text-sm text-gray-500 mb-4">
        {{ description }}
      </p>
    </div>
    <slot></slot>
  </div>
</template>

<script lang="ts">
export default {
  name: "BaseCard",
  props: {
    title: {
      type: String,
      required: true
    },
    description: {
      type: String,
      required: true
    }
  }
}
</script>